﻿using FreeSql;

using PTCMS.API.Domain.Entities;

namespace PTCMS.API.Infrastructure.Utils.Extensions
{
    /// <summary>
    /// freesql扩展
    /// </summary>
    public static class FreeSqlExtensions
    {
        /// <summary>
        /// 初始化数据
        /// </summary>
        /// <param name="codeFirst"></param>
        public static void CodeFirstExt(this ICodeFirst codeFirst)
        {
            codeFirst.Entity<Certificate>(eb =>
            {
                eb.HasData(new List<Certificate>()
                {
                    new Certificate{
                        Name="冉培松",
                        IdNumber="522127196707160013",
                        CertificateNumber="黔高1830053000002",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_高级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="罗仪",
                        IdNumber="522127199401147514",
                        CertificateNumber="黔特中1910992980519",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="王珂",
                        IdNumber="522127199202280013",
                        CertificateNumber="黔特中1910992980562",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="黄冲",
                        IdNumber="522127199309263037",
                        CertificateNumber="黔特中1910992980635",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="石倩倩",
                        IdNumber="522127199409200025",
                        CertificateNumber="黔特中1910992980681",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="郑泽仙",
                        IdNumber="522724199209243825",
                        CertificateNumber="黔特中1910992980188",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="王思雨",
                        IdNumber="522127199201074525",
                        CertificateNumber="黔特中1910992980217",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="王守琴",
                        IdNumber="522128199003123564",
                        CertificateNumber="黔特中1810992980865",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="欧阳军",
                        IdNumber="522127198607130035",
                        CertificateNumber="黔中201501493",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2018,12,30),
                        IssueTime=new DateTime(2019,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                    new Certificate{
                        Name="孙泽娟",
                        IdNumber="520103198608054828",
                        CertificateNumber="黔中201501511",
                        ProfessionalTitleSeries="工程技术人员",
                        ProfessionalTitle="林业技术",
                        Qualification="工程技术人才_中级工程师",
                        Level="中级",
                        QualificationTime=new DateTime(2016,12,30),
                        IssueTime=new DateTime(2017,5,1),
                        ReviewOrganization="遵义市工程技术职务中级评审委员会",
                        IssuingAuthority="遵义市人力资源和社会保障局",
                        DeclarationUnit="北京森旺林业工程设计有限公司遵义分公司",
                        IdType="居民身份证(户口簿)"
                    },
                });
            });
        }
    }
}